﻿@using Resources
<div class="filters">
    <input id="Keyword" type="text" value="@ViewBag.Keyword" placeholder="@Actions.Keyword" class="form-control filter" />
    <a id="btnFilter" class="btn btn-primary">@Actions.Filter</a>
    <a href="@Url.Action("UserEdit")" class="btn btn-success" onclick="return showModal(this)">@Html.Raw(Actions.Add)</a>
</div>
<table class="table table-striped table-bordered table-short">
    <thead>
        <tr>
            <th>@Actions.TT</th>
            <th>@Actions.Name</th>
            <th>@Actions.Phone</th>
            <th>@Actions.Email</th>
            <th>@Actions.Role</th>
            <th>Lương</th>
            <th>Phụ cấp</th>
            <th>Giới hạn</th>
            <th class="text-center">@Actions.Password</th>
            <th class="text-center w50"><i class="fa fa-pencil" aria-hidden="true"></i></th>
            <th class="text-center w50"><i class="fa fa-trash" aria-hidden="true"></i></th>
        </tr>
    </thead>
    <tbody></tbody>
</table>

<script>
    $(function () {
        $("#btnFilter").click(function () {
            window.location.href = `@Url.Action("User")?keyword=${$("#Keyword").val()}`;
        });
        var t = $('table.table').DataTable(
        {
            processing: true,
            serverSide: true,
            filter: false,
            orderMulti: false, 
            pageLength: 30,
            drawCallback: function () { hidePageLoading(); setTimeout(function () { t.ajax.reload(null, false); }, 60000); },
            iDisplayLength: 30,
            order: [[0, "desc"]],
            aLengthMenu: [[30, 50, 100, 200, 500, 1000,  2000, 5000], [30, 50, 100, 200, 500, 1000, 2000, 5000]],
            dom: '<"top"f>rt<"bottom"ilp><"clear">',
            ajax: { url: '@Url.Action("GetUser")?keyword=@ViewBag.Keyword', type: "GET", contentType: "application/json", beforeSend : function() { showPageLoading(); } },
            columns: [
                {
                    "data": "Id",
                    "className": "text-center",
                    "bSortable": false,
                    "width": "50px"
                },
                {
                    "data": "Name",
                    "bSortable": true,
                    render: function(d, m, n) {
                        return d;
                    }
                },
                {
                    "data": "Phone",
                    "className": "text-center",
                    "bSortable": true
                },
                {
                    "data": "Email",
                    "bSortable": true
                },
                {
                    "data": "Rs",
                    "bSortable": false,
                    "render": function(data) {
                        return `<div style='margin-left:20px'>${data}</div>`;
                    }
                },
                {
                    "data": "Salary",
                    "className": "text-center",
                    "bSortable": true,
                    "render": function (data, m, n) {
                        return `<span class='price'>${data}</span>`;
                    }
                },
                {
                    "data": "Allowance",
                    "className": "text-center",
                    "bSortable": true,
                    "render": function (data, m, n) {
                        return `<span class='price'>${data}</span>`;
                    }
                },
                {
                    "data": "Limited",
                    "className": "text-center",
                    "bSortable": true,
                    "render": function (data, m, n) {
                        return data ? "TK giới hạn" : "";
                    }
                },
                {
                    "data": "Id",
                    "bSortable": false,
                    "className": "text-center",
                    "render": function(data) {
                        return `<a href="@Url.Action("UserPassword")?id=${data}" onclick="return showModal(this)"><i class="fa fa-key" aria-hidden="true"></i></a>`;
                    }
                },
                {
                    "data": "Id",
                    "bSortable": false,
                    "className": "text-center",
                    "render": function(data) {
                        return `<a href="@Url.Action("UserEdit")?id=${data}" onclick="return showModal(this)"><i class="fa fa-pencil" aria-hidden="true"></i></a>`;
                    }
                },
                {
                    "data": "Id",
                    "bSortable": false,
                    "className": "text-center",
                    "render": function(data) {
                        return `<a href="@Url.Action("UserDelete")?id=${data}" class="tbl-delete-btn"><i class="fa fa-trash" aria-hidden="true"></i></a>`;
                    }
                }
            ]
        });
        t.on('draw.dt',
                function () {
                    t.column(0, { search: 'applied', order: 'applied' })
                        .nodes()
                        .each(function (cell, i) {
                            cell.innerHTML = i + 1;
                        });
                    $(".price").digits();
                })
            .draw();
        setModalCompletedCallback(function () {
            t.ajax.reload(null, false);
        });
    });
</script>